<?php
/**
 * @file
 * Block content template for linkedin group posts
 *
 * @param object $response
 * @param string $image_path
 */

?>
<div class="founder-forum-container">
  <?php if ($posts): global $base_url;
    $counter = 1;
    $class = 'row'; ?>
    <?php foreach ($posts as $key => $post) : ?>
      <?php if (sizeof($posts) == $counter) : ?>
        <?php $class = 'last';?>
      <?php endif; ?>
      <div class="founder-forum-row clear <?php print $class; ?>">
        <?php if (!empty($post->creator->{'picture-url'})) : ?>
          <div class="float-l founder-forum-image"><?php print theme('image', array('path' => $post->creator->{'picture-url'})) ?></div>
        <?php else: ?>
          <div class="float-l founder-forum-image"><?php print theme('image', array('path' => $image_path)) ?></div>
        <?php endif; ?>
        <div class="float-l founder-forum-data">
          <strong><?php print l($post->title, $post->{'site-group-post-url'}, array('attributes' => array('target' => '_blank'))); ?></strong>
          <div class="linkedin-user-fullname"><?php print $post->creator->{'first-name'} ." " . $post->creator->{'last-name'} ?></div>
          <div class="linkedin-group-name"><?php print t("Group:") . " " . $post->{'group_name'}?></div>
          <?php if (isset($post->summary)): ?> <p><?php print check_plain(text_summary($post->summary)) ?></p><?php endif; ?>
          <?php if (isset($post->attachment)): ?>
            <p><?php print l(check_plain($post->attachment->title), $post->attachment->{'content-url'}, array('attributes' => array('target' => '_blank'))) . " - " . check_plain($post->attachment->{'content-domain'})?></p>
            <?php print (check_plain($post->attachment->summary) == check_plain($post->summary)) ? '' : ("<p class='post-attachment'>". check_plain(text_summary($post->attachment->summary)) . "</p>"); ?>
          <?php endif; ?>
          <div class="linkedin-post-time"><?php print t('@interval ago.', array('@interval' => format_interval(time() - substr($post->{'creation-timestamp'}, 0, -3), 1)));?></div>
          <div class="linkedin-post-comments-likes">
            <?php print l(t('@count comment(s).', array('@count' => $post->comments['total'])), $post->{'site-group-post-url'}, array('attributes' => array('target' => '_blank')));?>
            <?php print t('Like (@count)', array('@count' => $post->likes['total']));?>
          </div>
        </div>
        <div class="founder-forum-view-all"><?php print l(t('View group all posts'), "http://www.linkedin.com/groups", array('query' => array('gid' => $post->group_id), 'attributes' => array('target' => '_blank'))); ?></div>
        <?php $counter++; ?>
      </div>
    <?php endforeach; ?>
  <?php endif; ?>
</div>
